package com.glxp.udidl.admin.controller.collect;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.glxp.udidl.admin.entity.collect.IoCollectCode;
import com.glxp.udidl.admin.entity.collect.IoCollectCodeBackup;
import com.glxp.udidl.admin.entity.collect.IoCollectOrderBackup;
import com.glxp.udidl.admin.req.collect.PostCollectOrderRequest;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.collect.IoCollectCodeService;
import com.glxp.udidl.admin.util.BeanUtils;
import com.glxp.udidl.admin.util.ResultVOUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Slf4j
@RestController
public class IoCollectOrderBackupController {

    @Resource
    IoCollectCodeService ioCollectCodeService;

    /**
     * 已完成单据上传
     *
     * @param postCollectOrderRequest
     * @return
     */
    @PostMapping("/collect/order/upload")
    public BaseResponse orderUpload(@RequestBody PostCollectOrderRequest postCollectOrderRequest) {
        //做数据持久化存储

        String webTitle = postCollectOrderRequest.getWebTitle();
        List<IoCollectOrderBackup> collectOrderList = postCollectOrderRequest.getCollectOrderList();

        if (CollUtil.isNotEmpty(collectOrderList)){
            for (int i = 0; i < collectOrderList.size(); i++) {
                IoCollectOrderBackup ioCollectOrderBackup = collectOrderList.get(i);
                List<IoCollectCodeBackup> codeList = ioCollectOrderBackup.getCodeList();

                if (CollUtil.isNotEmpty(codeList)){

                }else {
                    //先删除 再新增
                    String billNo = ioCollectOrderBackup.getBillNo();
                    List<IoCollectCode> list = ioCollectCodeService.list(new LambdaQueryWrapper<IoCollectCode>().eq(IoCollectCode::getBillNo, billNo).eq(IoCollectCode::getWebTitle, webTitle));

                    //如果已存在 删除
                    if (CollUtil.isNotEmpty(list)){
                        ioCollectCodeService.remove(new LambdaQueryWrapper<IoCollectCode>().eq(IoCollectCode::getBillNo, billNo).eq(IoCollectCode::getWebTitle, webTitle));
                    }

                    //开始新增
                    List<IoCollectCode> addList = new ArrayList<>();
                    for (int i1 = 0; i1 < codeList.size(); i1++) {
                        IoCollectCodeBackup ioCollectCodeBackup = codeList.get(i1);
                        IoCollectCode ioCollectCode = new IoCollectCode();
                        BeanUtils.copyProperties(ioCollectCodeBackup,ioCollectCode);
                        ioCollectCode.setId(null);
                        ioCollectCode.setWebTitle(webTitle);
                        addList.add(ioCollectCode);
                    }

                    if (CollUtil.isNotEmpty(addList)){
                        ioCollectCodeService.saveBatch(addList);
                    }

                }
            }
        }else {
            return ResultVOUtils.error(500,"订单数据为空");
        }


        return ResultVOUtils.success();
    }

}
