package com.glxp.udidl.admin.entity.chs;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
    * 医保耗材信息规格
    */
@ApiModel(value="com-glxp-udidl-admin-entity-chs-YbHcxxGg")
@Data
@TableName(value = "yb_hcxx_gg")
public class YbHcxxGgEntity implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private Integer id;

    /**
     * 创建时间
     */
    @TableField(value = "addTime")
    @ApiModelProperty(value="创建时间")
    private String addTime;

    /**
     * 创建用户ID
     */
    @TableField(value = "addUserId")
    @ApiModelProperty(value="创建用户ID")
    private String addUserId;

    /**
     * 创建用户名称
     */
    @TableField(value = "addUserName")
    @ApiModelProperty(value="创建用户名称")
    private String addUserName;

    @TableField(value = "auditRemark")
    @ApiModelProperty(value="")
    private String auditRemark;

    @TableField(value = "auditUserId")
    @ApiModelProperty(value="")
    private String auditUserId;

    @TableField(value = "auditUserName")
    @ApiModelProperty(value="")
    private String auditUserName;

    /**
     * 耗材分类编码（C010101）
     */
    @TableField(value = "catalogCode")
    @ApiModelProperty(value="耗材分类编码（C010101）")
    private String catalogCode;

    @TableField(value = "catalogname1")
    @ApiModelProperty(value="")
    private String catalogname1;

    @TableField(value = "catalogname2")
    @ApiModelProperty(value="")
    private String catalogname2;

    @TableField(value = "catalogname3")
    @ApiModelProperty(value="")
    private String catalogname3;

    @TableField(value = "characteristic")
    @ApiModelProperty(value="")
    private String characteristic;

    @TableField(value = "codeOld")
    @ApiModelProperty(value="")
    private String codeOld;

    /**
     * 医保耗材分类编码（C01010100101001039410000001）
     */
    @TableField(value = "codeShow")
    @ApiModelProperty(value="医保耗材分类编码（C01010100101001039410000001）")
    private String codeShow;

    @TableField(value = "commonname")
    @ApiModelProperty(value="")
    private String commonname;

    /**
     * 企业名称
     */
    @TableField(value = "companyName")
    @ApiModelProperty(value="企业名称")
    private String companyName;

    @TableField(value = "dataType")
    @ApiModelProperty(value="")
    private String dataType;

    /**
     * 规格型号编码
     */
    @TableField(value = "ggxhCode")
    @ApiModelProperty(value="规格型号编码")
    private String ggxhCode;

    /**
     * 产品ID
     */
    @TableField(value = "goodsid")
    @ApiModelProperty(value="产品ID")
    private String goodsid;

    @TableField(value = "isUsing")
    @ApiModelProperty(value="")
    private String isUsing;

    /**
     * 上一次更新时间
     */
    @TableField(value = "lastUpdateTime")
    @ApiModelProperty(value="上一次更新时间")
    private String lastUpdateTime;

    /**
     * 上一次更新用户ID
     */
    @TableField(value = "lastUpdateUserId")
    @ApiModelProperty(value="上一次更新用户ID")
    private String lastUpdateUserId;

    /**
     * 上一个更新人（胡海燕(shenhe_haiyan)）
     */
    @TableField(value = "lastUpdateUserName")
    @ApiModelProperty(value="上一个更新人（胡海燕(shenhe_haiyan)）")
    private String lastUpdateUserName;

    @TableField(value = "mapingCode")
    @ApiModelProperty(value="")
    private String mapingCode;

    @TableField(value = "matrial")
    @ApiModelProperty(value="")
    private String matrial;

    /**
     * 规格
     */
    @TableField(value = "model")
    @ApiModelProperty(value="规格")
    private String model;

    /**
     * 旧注册证
     */
    @TableField(value = "oldregcardnm")
    @ApiModelProperty(value="旧注册证")
    private String oldregcardnm;

    /**
     * 产品名称
     */
    @TableField(value = "productName")
    @ApiModelProperty(value="产品名称")
    private String productName;

    /**
     * 产品id
     */
    @TableField(value = "productid")
    @ApiModelProperty(value="产品id")
    private String productid;

    /**
     * 产品编码
     */
    @TableField(value = "productionCode")
    @ApiModelProperty(value="产品编码")
    private String productionCode;

    /**
     * 注册备案产品名称
     */
    @TableField(value = "regcardName")
    @ApiModelProperty(value="注册备案产品名称")
    private String regcardName;

    /**
     * 注册备案产品ID
     */
    @TableField(value = "regcardid")
    @ApiModelProperty(value="注册备案产品ID")
    private String regcardid;

    /**
     * 注册备案号
     */
    @TableField(value = "regcardnm")
    @ApiModelProperty(value="注册备案号")
    private String regcardnm;

    /**
     * 注册备案人
     */
    @TableField(value = "registrant")
    @ApiModelProperty(value="注册备案人")
    private String registrant;

    /**
     * 注册备案人ID
     */
    @TableField(value = "relationId")
    @ApiModelProperty(value="注册备案人ID")
    private String relationId;

    @TableField(value = "relationStatus")
    @ApiModelProperty(value="")
    private String relationStatus;

    @TableField(value = "releaseVersion")
    @ApiModelProperty(value="")
    private String releaseVersion;

    /**
     * 型号
     */
    @TableField(value = "specification")
    @ApiModelProperty(value="型号")
    private String specification;

    /**
     * 型号规格编码（C0101010010100103941）
     */
    @TableField(value = "specificationCode")
    @ApiModelProperty(value="型号规格编码（C0101010010100103941）")
    private String specificationCode;

    /**
     * udi-di
     */
    @TableField(value = "udiCode")
    @ApiModelProperty(value="udi-di")
    private String udiCode;

    private static final long serialVersionUID = 1L;
}
