package com.glxp.udidl.admin.entity.collect;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value = "com-glxp-api-entity-collect-IoCollectCode")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "io_collect_code")
public class IoCollectCode implements Serializable {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 追溯码（UDI.药品）
     */
    @TableField(value = "code")
    @ApiModelProperty(value = "追溯码（UDI.药品）")
    private String code;


    @TableField(value = "webTitle")
    private String webTitle;

    /**
     * 单据来源
     */
    @TableField(value = "fromType")
    @ApiModelProperty(value = "单据来源")
    private String fromType;

    /**
     * 单据类型
     */
    @TableField(value = "busType")
    @ApiModelProperty(value = "单据类型")
    private String busType;

    /**
     * 单据号
     */
    @TableField(value = "billNo")
    @ApiModelProperty(value = "单据号")
    private String billNo;

    /**
     * 往来单位
     */
    @TableField(value = "fromCorp")
    @ApiModelProperty(value = "往来单位")
    private String fromCorp;

    /**
     * 操作时间
     */
    @TableField(value = "operTime")
    @ApiModelProperty(value = "操作时间")
    private Date operTime;

    /**
     * 操作人
     */
    @TableField(value = "operUser")
    @ApiModelProperty(value = "操作人")
    private String operUser;

    /**
     * 采集点
     */
    @TableField(value = "collectCode")
    @ApiModelProperty(value = "采集点")
    private String collectCode;

    /**
     * 采集点负责人
     */
    @TableField(value = "collectUser")
    @ApiModelProperty(value = "采集点负责人")
    private String collectUser;

    /**
     * 工位
     */
    @TableField(value = "workPlaceCode")
    @ApiModelProperty(value = "工位")
    private Long workPlaceCode;

    /**
     * 工位负责人
     */
    @TableField(value = "workPlaceUser")
    @ApiModelProperty(value = "工位负责人")
    private String workPlaceUser;

    /**
     * 备注
     */
    @TableField(value = "remark")
    @ApiModelProperty(value = "备注")
    private String remark;


    /**
     * 赋码方式 1:自动拆零赋码；2:自动整取赋码;3.手动赋码
     */
    @TableField(value = "fifoSplit")
    @ApiModelProperty(value = "")
    private Integer fifoSplit;

    /**
     * 出入库类型（1：入库；2：出库）
     */
    @TableField(value = "inoutType")
    @ApiModelProperty(value = "出入库类型")
    private Integer inoutType;

    /**
     * 扫码数量
     */
    @TableField(value = "scanCount")
    @ApiModelProperty(value = "出入库类型")
    private Integer scanCount;


    /**
     * 耗材字典外键id
     */
    @TableField(value = "relId")
    @ApiModelProperty(value = "耗材字典外键id")
    private Long relId;


    private static final long serialVersionUID = 1L;
}
