package com.glxp.udidl.admin.entity.collect;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 采集点单据主表
 */
@ApiModel(value = "com-glxp-api-entity-collect-IoCollectOrder")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "io_collect_order_backup")
public class IoCollectOrderBackup implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 单据号
     */
    @TableField(value = "billNo")
    @ApiModelProperty(value = "单据号")
    private String billNo;

    /**
     * 单据类型
     */
    @TableField(value = "busType")
    @ApiModelProperty(value = "单据类型")
    private String busType;

    /**
     * 来源业务
     */
    @TableField(value = "fromType")
    @ApiModelProperty(value = "来源业务")
    private String fromType;

    /**
     * 来源业务说明
     */
    @TableField(value = "fromTypeDesc")
    @ApiModelProperty(value = "来源业务说明")
    private String fromTypeDesc;

    /**
     * 往来信息
     */
    @TableField(value = "fromCorp")
    @ApiModelProperty(value = "往来信息")
    private String fromCorp;

    /**
     * 往来信息名称
     */
    @TableField(value = "fromCorpName")
    @ApiModelProperty(value = "往来信息名称")
    private String fromCorpName;

    /**
     * 单据时间
     */
    @TableField(value = "billTime")
    @ApiModelProperty(value = "单据时间")
    private Date billTime;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 采集时间
     */
    @TableField(value = "collectTime")
    @ApiModelProperty(value = "采集时间")
    private Date collectTime;

//    /**
//     * 采集点编码
//     */
//    @TableField(value = "collectCode")
//    @ApiModelProperty(value = "采集点编码")
//    private String collectCode;

    /**
     * 工位编码
     */
    @TableField(value = "workPlaceCode")
    @ApiModelProperty(value = "工位编码")
    private Long workPlaceCode;

    /**
     * 备注
     */
    @TableField(value = "remark")
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 创建人
     */
    @TableField(value = "`createUser`")
    @ApiModelProperty(value = "创建人")
    private String createUser;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 更新人
     */
    @TableField(value = "updateUser")
    @ApiModelProperty(value = "更新人")
    private Long updateUser;
    /**
     * 赋码状态  0:原始单据未处理，1:已分配工位待处理；2：处理中；3：已完成；4：处理异常,-1:草稿，挂起状态，5：库存不足
     */
    @TableField(value = "tagStatus")
    private Integer tagStatus;

    /**
     * 拆零状态：0：未拆零，1，正在拆零；2,已完成；3.拆零失败
     */
    @TableField(value = "splitStatus")
    private Integer splitStatus;

    /**
     * 拆零异常信息
     */
    @TableField(value = "splitMsg")
    private String splitMsg;


    /**
     * 处方赋码信息
     */
    @TableField(value = "tagMsg")
    private String tagMsg;

    /**
     * 单据流通方式： 1:配送流通; 2:出库使用
     */
    @TableField(value = "orderCirType")
    private Integer orderCirType;


    /**
     * 单据备注1
     */
    @TableField(value = "backupOrderRemark1")
    @ApiModelProperty(value = "单据备注1")
    private String backupOrderRemark1;

    /**
     * 单据备注2
     */
    @TableField(value = "backupOrderRemark2")
    @ApiModelProperty(value = "单据备注2")
    private String backupOrderRemark2;

    /**
     * 单据备注3
     */
    @TableField(value = "backupOrderRemark3")
    @ApiModelProperty(value = "单据备注3")
    private String backupOrderRemark3;

    /**
     * 单据备注4
     */
    @TableField(value = "backupOrderRemark4")
    @ApiModelProperty(value = "单据备注4")
    private String backupOrderRemark4;

    /**
     * 单据备注5
     */
    @TableField(value = "backupOrderRemark5")
    @ApiModelProperty(value = "单据备注5")
    private String backupOrderRemark5;

    /**
     * 单据备注6
     */
    @TableField(value = "backupOrderRemark6")
    @ApiModelProperty(value = "单据备注6")
    private String backupOrderRemark6;

    /**
     * 排序时间
     */
    @TableField(value = "orderTime")
    @ApiModelProperty(value = "排序时间")
    private Date orderTime;


    /**
     * 库存预警： 1:上锁正常; 2:上锁不足；3:已释放锁
     */
    @TableField(value = "invAlert")
    private Integer invAlert;
    @TableField(exist = false)
    private List<CollectOrderBizResponse> collectOrderBizResponseList;

    @TableField(exist = false)
    private List<IoCollectOrderBiz> bizList;

    @TableField(exist = false)
    private List<IoCollectCodeBackup> codeList;

    /**
     * 异常信息
     */
    @TableField(value = "errorMsg")
    private String errorMsg;

    /**
     * 上传状态(1.未上传,2.已上传,3.上传失败)
     */
    @TableField(value = "uploadStatus")
    private Integer uploadStatus;

    /**
     * 上传错误信息
     */
    @TableField(value = "uploadError")
    private String uploadError;


    @TableField(value = "shipper")
    @ApiModelProperty(value = "发货方编码")
    private String shipper;
    @TableField(value = "shipperName")
    @ApiModelProperty(value = "发货方名称")
    private String shipperName;
    @TableField(value = "thrBusType")
    @ApiModelProperty(value = "第三方单据类型编码")
    private String thrBusType;
    private static final long serialVersionUID = 1L;
}
