package com.glxp.udidl.admin.entity.collect;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 采集点单据详情
 */
@ApiModel(value = "com-glxp-api-entity-collect-IoCollectOrderBiz")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "io_collect_order_biz")
public class IoCollectOrderBiz implements Serializable {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 单据号外键
     */
    @TableField(value = "orderIdFk")
    private String orderIdFk;


    /**
     * 耗材字典ID
     */
    @TableField(value = "relId")
    @ApiModelProperty(value = "耗材字典ID")
    private Long relId;


    /**
     * 院内编码（第三方编码）
     */
    @TableField(value = "thrCode")
    @ApiModelProperty(value = "院内编码（第三方编码）")
    private String thrCode;

    /**
     * 医保编码
     */
    @TableField(value = "ybbm")
    @ApiModelProperty(value = "医保编码")
    private String ybbm;


    /**
     * 医保编码
     */
    @TableField(value = "sptm")
    @ApiModelProperty(value = "商品条码")
    private String sptm;

    /**
     * 收费编码
     */
    @TableField(value = "payFeeCode")
    @ApiModelProperty(value = "收费编码")
    private String payFeeCode;

    /**
     * 产品通用名称
     */
    @TableField(value = "cpmctymc")
    @ApiModelProperty(value = "产品通用名称")
    private String cpmctymc;

    /**
     * 产品标识
     */
    @TableField(value = "nameCode")
    @ApiModelProperty(value = "产品标识")
    private String nameCode;

    /**
     * 规格型号
     */
    @TableField(value = "ggxh")
    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    /**
     * 批次号
     */
    @TableField(value = "batchNo")
    @ApiModelProperty(value = "批次号")
    private String batchNo;

    /**
     * 生产日期
     */
    @TableField(value = "productDate")
    @ApiModelProperty(value = "生产日期")
    private String productDate;

    /**
     * 失效日期
     */
    @TableField(value = "expireDate")
    @ApiModelProperty(value = "失效日期")
    private String expireDate;

    /**
     * 单据数量
     */
    @TableField(value = "`count`")
    @ApiModelProperty(value = "单据数量")
    private Integer count;

    /**
     * 实际数量
     */
    @TableField(value = "actCount")
    @ApiModelProperty(value = "实际数量")
    private Integer actCount;

    /**
     * 扫码数量
     */
    @TableField(value = "scanCount")
    @ApiModelProperty(value = "扫码数量")
    private Integer scanCount;

    /**
     * 扫码实际数量
     */
    @TableField(value = "scanActCount")
    @ApiModelProperty(value = "扫码实际数量")
    private Integer scanActCount;

    /**
     * 计量单位
     */
    @TableField(value = "measureUnit")
    @ApiModelProperty(value = "计量单位")
    private String measureUnit;

    /**
     * 单据明细赋码状态  1:未赋码；2：部分赋码；3：已赋码
     */
    @TableField(value = "tagStatus")
    @ApiModelProperty(value = "单据明细赋码状态  1:未赋码；2：部分赋码；3：已赋码")
    private Integer tagStatus;

    /**
     * 赋码错误信息
     */
    @TableField(value = "tagMsg")
    @ApiModelProperty(value = "赋码错误信息")
    private String tagMsg;

    /**
     * 备注
     */
    @TableField(value = "remark")
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 未拆零数量
     */
    @TableField(value = "unTagCount")
    @ApiModelProperty(value = "未拆零数量")
    private Integer unTagCount;


    /**
     * 自动扫描分配的工位存量 锁数量
     */
    @TableField(value = "autoResCount")
    @ApiModelProperty(value = "自动扫描分配的工位存量")
    private Integer autoResCount;

    /**
     * 上传替换码
     */
    @TableField(value = "replaceCode")
    @ApiModelProperty(value = "上传替换码")
    private String replaceCode;

    /**
     * 自动赋码状态：1：无法自动赋码；2：可以自动赋码；3:可以自动赋码，但是数量不足
     */
    @TableField(value = "autoTagStatus")
    @ApiModelProperty(value = "autoTagStatus")
    private Integer autoTagStatus;

    /**
     * 临时工位存量
     */
    @TableField(value = "tempWorkPlaceCount")
    @ApiModelProperty(value = "tempWorkPlaceCount")
    private Integer tempWorkPlaceCount;

    /**
     * 拆零未确认
     */
    @TableField(value = "splitUnCheck")
    @ApiModelProperty(value = "splitUnCheck")
    private boolean splitUnCheck;


    /**
     * 临时拆零存量
     */
    @TableField(value = "tempSplitCount")
    @ApiModelProperty(value = "tempSplitCount")
    private Integer tempSplitCount;

    @TableField(value = "searchRemark1")
    @ApiModelProperty(value = "searchRemark1")
    private String searchRemark1;
    @TableField(value = "searchRemark2")
    @ApiModelProperty(value = "searchRemark2")
    private String searchRemark2;
    @TableField(value = "searchRemark3")
    @ApiModelProperty(value = "searchRemark3")
    private String searchRemark3;
    @TableField(value = "searchRemark4")
    @ApiModelProperty(value = "searchRemark4")
    private String searchRemark4;
    @TableField(value = "searchRemark5")
    @ApiModelProperty(value = "searchRemark5")
    private String searchRemark5;


    @TableField(value = "remark1")
    private String remark1;
    @TableField(value = "remark2")
    private String remark2;
    @TableField(value = "remark3")
    private String remark3;
    @TableField(value = "remark4")
    private String remark4;
    @TableField(value = "remark5")
    private String remark5;
    @TableField(value = "remark6")
    private String remark6;
    @TableField(value = "remark7")
    private String remark7;
    @TableField(value = "remark8")
    private String remark8;
    @TableField(value = "remark9")
    private String remark9;
    @TableField(value = "remark10")
    private String remark10;


    private static final long serialVersionUID = 1L;
}
