package com.glxp.udidl.admin.entity.collect;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@ApiModel(description = "third_ali_drug")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "third_ali_drug")
public class ThirdAliDrug implements Serializable {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 药品类型
     */
    @TableField(value = "`type`")
    @ApiModelProperty(value = "药品类型")
    private String type;

    /**
     * 生产企业
     */
    @TableField(value = "manufacturer")
    @ApiModelProperty(value = "生产企业")
    private String manufacturer;

    /**
     * 产品名称通用名称
     */
    @TableField(value = "cpmctymc")
    @ApiModelProperty(value = "产品名称通用名称")
    private String cpmctymc;

    /**
     * 剂型
     */
    @TableField(value = "form")
    @ApiModelProperty(value = "剂型")
    private String form;

    /**
     * 剂型规格
     */
    @TableField(value = "formSpec")
    @ApiModelProperty(value = "剂型规格")
    private String formSpec;

    /**
     * 包装规格
     */
    @TableField(value = "bzgg")
    @ApiModelProperty(value = "包装规格")
    private String bzgg;

    /**
     * 商品名称
     */
    @TableField(value = "spmc")
    @ApiModelProperty(value = "商品名称")
    private String spmc;

    /**
     * 层级标识
     */
    @TableField(value = "nameCode")
    @ApiModelProperty(value = "层级标识")
    private String nameCode;

    /**
     * 包装比例
     */
    @TableField(value = "packRatio")
    @ApiModelProperty(value = "包装比例")
    private String packRatio;

    /**
     * 包装级别
     */
    @TableField(value = "packLevel")
    @ApiModelProperty(value = "包装级别")
    private String packLevel;
    /**
     * 包装级别
     */
    @TableField(value = "erpId")
    @ApiModelProperty(value = "包装级别")
    private String erpId;

    /**
     * 批准文号
     */
    @TableField(value = "approvalNum")
    @ApiModelProperty(value = "批准文号")
    private String approvalNum;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 制剂单位描述
     */
    @TableField(value = "prepnUnit")
    @ApiModelProperty(value = "制剂单位描述")
    private String prepnUnit;
    /**
     * 制剂单位描述
     */
    @TableField(value = "prepnUnitName")
    @ApiModelProperty(value = "制剂单位描述")
    private String prepnUnitName;
    /**
     * 药品详情类型
     */
    @TableField(value = "physicDetailType")
    @ApiModelProperty(value = "药品详情类型")
    private String physicDetailType;
    /**
     * 药品类型详情描述
     */
    @TableField(value = "physicDetailTypeDesc")
    @ApiModelProperty(value = "药品类型详情描述")
    private String physicDetailTypeDesc;
    /**
     * 药品类型描述
     */
    @TableField(value = "physicTypeDesc")
    @ApiModelProperty(value = "药品类型描述")
    private String physicTypeDesc;

    /**
     * 包装单位
     */
    @TableField(value = "packUnitName")
    @ApiModelProperty(value = "包装单位")
    private String packUnitName;
    private static final long serialVersionUID = 1L;

    /**
     * 层级单位
     */
    @TableField(exist = false)
    public String packUnit;
    /**
     * 下级数量
     */
    @TableField(exist = false)
    public Integer bhxjsl;
    /**
     * 下级单位
     */
    @TableField(exist = false)
    public String xjdw;
    /**
     * 医保包装规格
     */
    @TableField(exist = false)
    public String ybBzgg;
    @TableField(exist = false)
    public boolean dmcx = false;
    public ThirdAliDrug(String type, String manufacturer, String cpmctymc, String form, String formSpec, String bzgg, String approvalNum, String spmc, String nameCode, String packRatio, String packLevel, Date createTime, Date updateTime) {
        this.type = type;
        this.manufacturer = manufacturer;
        this.cpmctymc = cpmctymc;
        this.form = form;
        this.formSpec = formSpec;
        this.bzgg = bzgg;
        this.spmc = spmc;
        this.nameCode = nameCode;
        this.packRatio = packRatio;
        this.packLevel = packLevel;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.approvalNum = approvalNum;
    }


    @Override
    public String toString() {
        return "ThirdAliDrug{" +
                "id=" + id +
                ", type='" + type + '\'' +
                ", manufacturer='" + manufacturer + '\'' +
                ", cpmctymc='" + cpmctymc + '\'' +
                ", form='" + form + '\'' +
                ", formSpec='" + formSpec + '\'' +
                ", bzgg='" + bzgg + '\'' +
                ", spmc='" + spmc + '\'' +
                ", nameCode='" + nameCode + '\'' +
                ", packRatio='" + packRatio + '\'' +
                ", packLevel='" + packLevel + '\'' +
                ", erpId='" + erpId + '\'' +
                ", approvalNum='" + approvalNum + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
