package com.glxp.udidl.admin.res.tyapi;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class CompanyBaseResponse {

    @JsonProperty("result")
    private ResultDTO result;
    @JsonProperty("reason")
    private String reason;
    @JsonProperty("error_code")
    private Integer errorCode;

    @NoArgsConstructor
    @Data
    public static class ResultDTO {
        @JsonProperty("historyNames")
        private String historyNames;
        @JsonProperty("cancelDate")
        private String cancelDate;
        @JsonProperty("regStatus")
        private String regStatus;
        @JsonProperty("regCapital")
        private String regCapital;
        @JsonProperty("city")
        private String city;
        @JsonProperty("staffNumRange")
        private String staffNumRange;
        @JsonProperty("bondNum")
        private String bondNum;
        @JsonProperty("historyNameList")
        private List<String> historyNameList;
        @JsonProperty("industry")
        private String industry;
        @JsonProperty("bondName")
        private String bondName;
        @JsonProperty("revokeDate")
        private String revokeDate;
        @JsonProperty("type")
        private Integer type;
        @JsonProperty("updateTimes")
        private Long updateTimes;
        @JsonProperty("legalPersonName")
        private String legalPersonName;
        @JsonProperty("revokeReason")
        private String revokeReason;
        @JsonProperty("regNumber")
        private String regNumber;
        @JsonProperty("creditCode")
        private String creditCode;
        @JsonProperty("property3")
        private String property3;
        @JsonProperty("usedBondName")
        private String usedBondName;
        @JsonProperty("approvedTime")
        private Long approvedTime;
        @JsonProperty("fromTime")
        private Long fromTime;
        @JsonProperty("socialStaffNum")
        private Integer socialStaffNum;
        @JsonProperty("actualCapitalCurrency")
        private String actualCapitalCurrency;
        @JsonProperty("alias")
        private String alias;
        @JsonProperty("companyOrgType")
        private String companyOrgType;
        @JsonProperty("id")
        private Integer id;
        @JsonProperty("cancelReason")
        private String cancelReason;
        @JsonProperty("orgNumber")
        private String orgNumber;
        @JsonProperty("email")
        private String email;
        @JsonProperty("toTime")
        private String toTime;
        @JsonProperty("actualCapital")
        private String actualCapital;
        @JsonProperty("estiblishTime")
        private Long estiblishTime;
        @JsonProperty("regInstitute")
        private String regInstitute;
        @JsonProperty("businessScope")
        private String businessScope;
        @JsonProperty("taxNumber")
        private String taxNumber;
        @JsonProperty("regLocation")
        private String regLocation;
        @JsonProperty("regCapitalCurrency")
        private String regCapitalCurrency;
        @JsonProperty("tags")
        private String tags;
        @JsonProperty("websiteList")
        private String websiteList;
        @JsonProperty("phoneNumber")
        private String phoneNumber;
        @JsonProperty("district")
        private String district;
        @JsonProperty("bondType")
        private String bondType;
        @JsonProperty("name")
        private String name;
        @JsonProperty("percentileScore")
        private Integer percentileScore;
        @JsonProperty("industryAll")
        private IndustryAllDTO industryAll;
        @JsonProperty("isMicroEnt")
        private Integer isMicroEnt;
        @JsonProperty("base")
        private String base;

        @NoArgsConstructor
        @Data
        public static class IndustryAllDTO {
            @JsonProperty("categoryMiddle")
            private String categoryMiddle;
            @JsonProperty("categoryBig")
            private String categoryBig;
            @JsonProperty("category")
            private String category;
            @JsonProperty("categorySmall")
            private String categorySmall;
        }
    }
}
