package com.glxp.udidl.admin.res.tyapi;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class OpenSearchResponse {
    @JsonProperty("result")
    private ResultDTO result;
    @JsonProperty("reason")
    private String reason;
    @JsonProperty("error_code")
    private Integer errorCode;

    @NoArgsConstructor
    @Data
    public static class ResultDTO {
        @JsonProperty("total")
        private Integer total;
        @JsonProperty("items")
        private List<ItemsDTO> items;

        @NoArgsConstructor
        @Data
        public static class ItemsDTO {
            @JsonProperty("regStatus")
            private String regStatus;
            @JsonProperty("estiblishTime")
            private String estiblishTime;
            @JsonProperty("regCapital")
            private String regCapital;
            @JsonProperty("companyType")
            private Integer companyType;
            @JsonProperty("matchType")
            private String matchType;
            @JsonProperty("type")
            private Integer type;
            @JsonProperty("legalPersonName")
            private String legalPersonName;
            @JsonProperty("regNumber")
            private String regNumber;
            @JsonProperty("creditCode")
            private String creditCode;
            @JsonProperty("name")
            private String name;
            @JsonProperty("id")
            private Integer id;
            @JsonProperty("orgNumber")
            private String orgNumber;
            @JsonProperty("base")
            private String base;
        }
    }
}
