package com.glxp.udidl.admin.service.chsapi;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.glxp.udidl.admin.dao.chs.YbHcxxMapper;
import com.glxp.udidl.admin.entity.chs.YbHcxxEntity;
import com.glxp.udidl.admin.res.chs.YbHcxxGgResponse;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.glxp.udidl.admin.entity.chs.YbHcxxGgEntity;
import com.glxp.udidl.admin.dao.chs.YbHcxxGgMapper;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ChsYbHcxxGgService extends ServiceImpl<YbHcxxGgMapper, YbHcxxGgEntity> {
    @Resource
    ChsYbChsHttpClient ybChsHttpClient;
    @Resource
    YbHcxxGgMapper ybHcxxGgMapper;
    @Resource
    YbHcxxMapper ybHcxxMapper;

    /**
     * 遍历YbHcxx列表数据分别更新名字
     */
    public void updateForEachYbHcxxList(){
        Integer pageNum = 1;
        Integer pageSize = 200;

        IPage<YbHcxxEntity> page = new Page<>();
        //设置每页条数
        page.setSize(pageSize);
        //设置查询第几页
        page.setCurrent(pageNum);
        QueryWrapper<YbHcxxEntity> queryWrapper = new QueryWrapper<>();
        queryWrapper.select("specificationCode");
//        queryWrapper.ge("specificationCode","C0314010870100110845");
        queryWrapper.orderByAsc("specificationCode");
        ybHcxxMapper.selectPage(page, queryWrapper);

        List<YbHcxxEntity> records = page.getRecords();
        if (CollectionUtil.isNotEmpty(records)){
            records.forEach( x->{
                updateYbHcxxGgList(x.getSpecificationCode());
            });
        }

        long total = page.getTotal();
        if (total > pageSize){
            long pageTotal = total/pageSize + 1;
            for (int i = 2; i <= pageTotal ; i++) {
                page.setCurrent(i);
                System.out.println("更新数据库的YbHcxxGg列表数据，总页数："+ pageTotal+";当前总进度："+i);
                ybHcxxMapper.selectPage(page, queryWrapper);
                List<YbHcxxEntity> records2 = page.getRecords();
                records2.forEach( x->{
                    updateYbHcxxGgList(x.getSpecificationCode());
                });
            }
        }

    }


    /**
     * 更新数据库的YbHcxxGg列表数据
     */
    public void updateYbHcxxGgList(String specificationCode){
        Integer pageNum = 1;
        Integer pageSize = 200;

        //1、获取数据
        YbHcxxGgResponse ybHcxxGgResponse = ybChsHttpClient.getYbHcxxGgList(specificationCode, pageNum, pageSize);
        Integer total = ybHcxxGgResponse.getTotal();
        //处理第一批数据
        System.out.println("更新数据库的YbHcxxGg列表数据："+specificationCode + "第"+ 1+"页");
        processUpdates(ybHcxxGgResponse);
        //处理后续数据
        if (total>pageNum){
            for (int i = 2; i <= total ; i++) {
                System.out.println("更新数据库的YbHcxxGg列表数据："+specificationCode + "第"+ i+"页");
                processUpdates(ybChsHttpClient.getYbHcxxGgList(specificationCode,i, pageSize));
            }
        }
    }


    /**
     * 处理比对更新
     * @param ybHcxxGgResponse
     */
    private void processUpdates(YbHcxxGgResponse ybHcxxGgResponse) {
        List<YbHcxxGgResponse.RowsDTO> list = ybHcxxGgResponse.getRows();
        List<YbHcxxGgEntity> ybHcxxGgEntities = BeanUtil.copyToList(list, YbHcxxGgEntity.class);
        if (CollectionUtil.isNotEmpty(ybHcxxGgEntities))
        ybHcxxGgMapper.batchSaveOrUpdateBySpecificationCode(ybHcxxGgEntities);
    }

}
