package com.glxp.udidl.admin.service.chsapi;

import cn.hutool.core.bean.BeanUtil;
import com.glxp.udidl.admin.res.chs.YbHcxxResponse;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.glxp.udidl.admin.entity.chs.YbHcxxEntity;
import com.glxp.udidl.admin.dao.chs.YbHcxxMapper;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ChsYbHcxxService extends ServiceImpl<YbHcxxMapper, YbHcxxEntity> {

    @Resource
    ChsYbChsHttpClient ybChsHttpClient;
    @Resource
    YbHcxxMapper ybHcxxMapper;

    /**
     * 更新数据库的YbHcxx列表数据
     * 以一定大小页面 分批对比数据库 医用耗材分类代码 是否存在 不存在进行新增
     */
    public void updateYbHcxxList(){
        Integer pageNum = 1;
        Integer pageSize = 100;

        //1、获取数据
        YbHcxxResponse ybHcxxResponse = ybChsHttpClient.getYbHcxxList(pageNum, pageSize);
        Integer total = ybHcxxResponse.getTotal();
        //处理第一批数据
        processUpdates(ybHcxxResponse);
        //处理后续数据
        if (total>pageNum){
            for (int i = 2 ; i <= total ; i++) {
                System.out.println("更新数据库的YbHcxx列表数据"+ i);
                processUpdates(ybChsHttpClient.getYbHcxxList(i, pageSize));
            }
        }
    }

    /**
     * 处理比对更新
     * @param ybHcxxResponse
     */
    private void processUpdates(YbHcxxResponse ybHcxxResponse) {
        List<YbHcxxResponse.RowsDTO> list = ybHcxxResponse.getRows();
        List<YbHcxxEntity> ybHcxxEntities = BeanUtil.copyToList(list, YbHcxxEntity.class);
        ybHcxxMapper.batchSaveOrUpdateBySpecificationCode(ybHcxxEntities);
    }

}
