package com.glxp.udidl.admin.service.udchs.impl;


import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.glxp.udidl.admin.dao.chs.CodeRelMapper;
import com.glxp.udidl.admin.entity.chs.CodeRel;
import com.glxp.udidl.admin.enums.ResultEnum;
import com.glxp.udidl.admin.exception.JsonException;
import com.glxp.udidl.admin.util.ResultVOUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class CodeRelServiceImpl extends ServiceImpl<CodeRelMapper, CodeRel> {

    //存在就更新 不存在就新增
    public boolean updateByCodeRel(CodeRel param) {
        boolean b = this.baseMapper.updateByCodeRel(param);
        if (!b){
            int i = this.baseMapper.insertSelective(param);
            return  i>0;
        }
        return b;
    }

    public void updateBatchByCodeRel(List<CodeRel> paramList) {

        for (int i = 0; i < paramList.size(); i++) {
//            if(i == 0){
//                CodeRel param = paramList.get(i);
//                this.remove(
//                        new QueryWrapper<CodeRel>().eq("ybbm",param.getYbbm())
//                );
//            }
            CodeRel param = paramList.get(i);

            if ( param == null ||
                    (StrUtil.isBlank(param.getDiNameCode()) && StrUtil.isBlank(param.getDrugCode()))
            ){
                throw new JsonException(ResultEnum.DATA_ERROR,"参数错误");
            }
            boolean b = this.updateByCodeRel(param);
            if (!b){
                throw new JsonException(500,"更新失败");
            }
        }

    }
}
